# pydicom.values.convert_PN

pydicom.values.convert_PN(byte_string: bytes, encodings: Optional[List[str]] = None) → Union[pydicom.valuerep.PersonName, MutableSequence[pydicom.valuerep.PersonName]]

  Return a decoded ‘PN’ value.

  Parameters

    - byte_string (bytes) – The encoded ‘PN’ element value.

    - encodings (list of str, optional) – A list of the character encoding schemes used to encode the ‘PN’ value.

  Returns

    The decoded ‘PN’ value(s).

  Return type

    valuerep.PersonName or MultiValue of PersonName